/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.TipoCambioCiudadDAO;
import com.rjconsultores.ventaboletos.entidad.TipoCambioCiudad;
import com.rjconsultores.ventaboletos.service.TipoCambioCiudadService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Administrador
 */
@Service("tipoCambioCiudadService")
public class TipoCambioCiudadServiceImpl implements TipoCambioCiudadService {

    @Autowired
    private TipoCambioCiudadDAO tipoCambioCiudadDAO;

    public List<TipoCambioCiudad> obtenerTodos() {
        return tipoCambioCiudadDAO.obtenerTodos();
    }

    public TipoCambioCiudad obtenerID(Integer id) {
        return tipoCambioCiudadDAO.obtenerID(id);
    }

    @Transactional
    public TipoCambioCiudad suscribir(TipoCambioCiudad entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return tipoCambioCiudadDAO.suscribir(entidad);
    }

    @Transactional
    public TipoCambioCiudad actualizacion(TipoCambioCiudad entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return tipoCambioCiudadDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(TipoCambioCiudad entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        tipoCambioCiudadDAO.actualizacion(entidad);
    }
}
